Name        	: strace
Version     	: 4.3a
Release     	: 1
Group       	: System/Tools

Summary     	: Print system call trace of a running process.

Copyright   	: distributable
Packager    	: Matt Waddel <mattw@lineo.com>
URL		: http://www.wi.leidenuniv.nl/~wichert/strace/


BuildRoot   	: /tmp/%{Name}-%{Version}

Source0: http://www.wi.leidenuniv.nl/~wichert/strace/strace-%{Version}.tar.gz

%Description
'strace' is a useful diagnositic, instructional, and debugging tool.
System adminstrators, diagnosticians and trouble-shooters will find it
invaluable for solving problems with programs for which the source is
not readily available since they do not need to be recompiled in order
to trace them.  Students, hackers and the overly-curious will find that a
great deal can be learned about a system and its system calls by tracing
even ordinary programs. And programmers will find that since system
calls and signals are events that happen at the user/kernel interface,
a close examination of this boundary is very useful for bug isolation,
sanity checking and attempting to capture race conditions.


%Prep
%setup

%Build
autoconf
CFLAGS="-I../linux/include $OPT_FLAGS"  LDFLAGS="-s" ./configure --prefix=/usr --target=$ARCH --host=i386-pc-linux-gnu
make


%Install
%{mkDESTDIR}

mkdir -p $DESTDIR/usr/{bin,man/man1}
make prefix=$DESTDIR/usr install

%{fixManPages}

%{mkLists} -c strace

%Clean
%{rmDESTDIR}


%Files -f files-strace
%doc COPYRIGHT CREDITS ChangeLog NEWS PORTING README README-linux TODO

%ChangeLog
* Mon Jan 01 1997 ...
$Id: strace.spec,v 1.6 2001/04/30 16:55:44 mattw Exp $
